// smoke object for xrally
// (C) 2/2000 Christian Perle (POVaddict)
// render size: 64x64

#include "colors.inc"

camera {
  location <0, 8, -8>
  up y
  right x
  direction 2*z
  look_at 0
}

light_source {
  <0, 500, -500> White
  area_light 60*x, 60*y, 8, 8
  adaptive 1 jitter
}
light_source {
  <0, 500, 500> White
  area_light 60*x, 60*y, 8, 8
  adaptive 1 jitter
}

plane {
  y, 0
  texture {
    pigment {
      crackle turbulence .2 translate 1*x
      color_map {
	[0 color Gray60]
	[.8 color White]
	[1 color White]
      }
    }
  }
  texture {
    pigment {
      wood rotate 90*x scale 10
      turbulence .02
      color_map {
	[0 color Clear]
	[.5 color Gray50]
	[1 color Gray50]
      }
    }
  }
  translate <-.45, 0, .1>
  scale 1.2
}

//plane { y, 0 pigment { Gray50 } }
